MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
SongLoader Class Reference

A utility class that loads a DetachedSong object by its URI. More...

`#include <SongLoader.hxx>`

## Public Member Functions
| SongLoader (const Client &_client)
| SongLoader (std::nullptr_t, std::nullptr_t)
DetachedSong * | LoadSong (const LocatedUri &uri) const
gcc_nonnull_all DetachedSong * | LoadSong (const char *uri_utf8) const
| Throws #std::runtime_error on error. More...

## Detailed Description

A utility class that loads a DetachedSong object by its URI.

If the URI is an absolute local file, it applies security checks via Client::AllowFile(). If no Client pointer was specified, then it is assumed that all local files are allowed.

Definition at line 41 of file SongLoader.hxx.

## Constructor & Destructor Documentation

SongLoader::SongLoader | ( | const Client & | _client | ) |
| inline explicit

Definition at line 58 of file SongLoader.hxx.

SongLoader::SongLoader | ( | std::nullptr_t | ,
|  | std::nullptr_t |
| ) |  |
| inline explicit

Definition at line 60 of file SongLoader.hxx.

## Member Function Documentation

DetachedSong* SongLoader::LoadSong | ( | const LocatedUri & | uri | ) | const

gcc_nonnull_all DetachedSong* SongLoader::LoadSong | ( | const char * | uri_utf8 | ) | const

Throws #std::runtime_error on error.

The documentation for this class was generated from the following file:

- SongLoader.hxx